#include <CapacitiveSensor.h>                  // Changer la librarie pour les capteurs capacitifs
#include <Tone.h>                              // Changer la librarie tone

CapacitiveSensor   cs_4_2 = CapacitiveSensor(4,2);        // Brancher une resistance de 1 a 10MOhm entre les pin 4 & 2, pin 2 est le capteur capacitif
CapacitiveSensor   cs_4_6 = CapacitiveSensor(4,6);        // Brancher une resistance de 1 a 10MOhm entre les pin 4 & 6, pin 6 est le capteur capacitif
CapacitiveSensor   cs_4_8 = CapacitiveSensor(4,8);        // Brancher une resistance de 1 a 10MOhm entre les pin 4 & 8, pin 8 est le capteur capacitif

int led1 = 10;                                  // brancher une led sur la pin 10
int led2 = 11;                                 // brancher une led sur la pin 11
int led3 = 12;                                 // brancher une led sur la pin 12

int X = 50;                                    // Definir le seul du capteur capacitif
  
Tone note;                                     // Utiliser la librairie tone

void setup()                    
{
   cs_4_2.set_CS_AutocaL_Millis(0xFFFFFFFF);     // mettre en pause la calibration automatique
     note.begin(9);                              // utiliser la librarie note sur la pin digitale 9
     pinMode(led1, OUTPUT);                      // definir que la led est une sortie
     pinMode(led2, OUTPUT);                      // definir que la led est une sortie
     pinMode(led3, OUTPUT);                      // definir que la led est une sortie
   Serial.begin(9600);                           // Transmettre des donees sur le port serie
}

void loop()                    
{
    long start = millis();
    long total1 =  cs_4_2.capacitiveSensor(30);  //lire les information du capteur capacitif pin 2
    long total2 =  cs_4_6.capacitiveSensor(30);  //lire les information du capteur capacitif pin 6
    long total3 =  cs_4_8.capacitiveSensor(30);  //lire les information du capteur capacitif pin 8

  if(total1>=X){                                  // si le capteur pin 2 est superieur ou égal a 50
  note.play(NOTE_C4);                             // jouer la note DO
    digitalWrite(led1, HIGH);                    // allumer la led branchée sur la pin 10
  }
  if(total2>=X){                                // si le capteur pin 6 est superieur ou égal a 50
  note.play(NOTE_D4);                            // jouer la note RE
  digitalWrite(led2, HIGH);                       // allumer la led branchée sur la pin 11
  }
  if(total3>=X){                                // si le capteur pin 8 est superieur ou égal a 50
  note.play(NOTE_E4);                            // jouer la note MI
  digitalWrite(led3, HIGH);                      // allumer la led branchée sur la pin 12
  }
  if(total1<=50 && total2<=50 && total3<=50){    // si tous les capteurs son inferieur a 50
  note.stop();                                   // arreter de joue
  digitalWrite(led1, LOW);                       // eteintre la led sur la pin 10
  digitalWrite(led2, LOW);                       // eteintre la led sur la pin 11
  digitalWrite(led3, LOW);                       // eteintre la led sur la pin 12
  }
}
